Bug 146793 - [kbdmap] [patch] Danish kbdmap for MacBook
Summary: [kbdmap] [patch] Danish kbdmap for MacBook
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gavin Atkinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-21 13:00 UTC by Erik Cederstrand
Modified: 2015-05-21 01:47 UTC (History)
1 user (show)

See Also:


Attachments
file.txt (7.56 KB, text/plain)
2010-05-21 13:00 UTC, Erik Cederstrand
no flags Details
smime.p7s (1.88 KB, application/pkcs7-signature)
2010-06-02 13:26 UTC, Erik Cederstrand
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Cederstrand 2010-05-21 13:00:13 UTC
Attached is an ISO 8859-1 keyboard map for Danish MacBook and external Apple keyboards. It is useful for typing in the console when FreeBSD is running as a virtual machine within OS X.

Fix: Select an ISO 8859-1 font using 'vidcontrol'
# setenv LC_CTYPE da_DK.ISO8859-1
Copy the file to /usr/share/syscons/keymaps/
Select the new keymap using 'kbdmap'

To persist across reboots:
Add 'keymap="danish.iso.macbook"' to /etc/rc.conf 
Add 'setenv LC_CTYPE ISO8859-1' to .cshrc

Patch attached with submission follows:
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2010-08-07 18:50:36 UTC
Responsible Changed
From-To: freebsd-bugs->gavin

I'll take this. 

To submitter: Can you please email me the file directly?  It looks like 
the copy in GNATS has become slightly mangled in email.
Comment 2 Erik Cederstrand 2012-11-13 22:34:02 UTC
eadler@ committed this in r241851. This bug can be closed.

Erik
Comment 3 Ed Maste freebsd_committer 2015-05-14 13:58:30 UTC
This kbdmap was incorrectly added to INDEX.keymaps in r241851 and incorrectly updated in r256367. This was discovered as a side effect of PR 193656.
Comment 4 Ed Maste freebsd_committer 2015-05-14 14:08:15 UTC
INDEX.keymaps issue fixed in r282902
Comment 5 commit-hook freebsd_committer 2015-05-14 14:08:47 UTC
A commit references this bug:

Author: emaste
Date: Thu May 14 14:07:45 UTC 2015
New revision: 282902
URL: https://svnweb.freebsd.org/changeset/base/282902

Log:
  Correct language code -- "Danish" is English

  The menu entry "Danish ISO-8859-1 (macbook)" was first added to the
  syscons(4) INDEX.keymaps in r241851 with no language code, and then in
  r256367 incorrectly tagged with "da".  It is a Danish keyboard map, but
  the description is in English and therefore must be "en".

  This error subsequently propagated into the vt(4) INDEX.keymaps.

  PR:		146793, 193656
  MFC after:	1 week
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/share/syscons/keymaps/INDEX.keymaps
  head/share/vt/keymaps/INDEX.keymaps
Comment 6 commit-hook freebsd_committer 2015-05-21 01:47:23 UTC
A commit references this bug:

Author: emaste
Date: Thu May 21 01:47:13 UTC 2015
New revision: 283164
URL: https://svnweb.freebsd.org/changeset/base/283164

Log:
  MFC INDEX.keymaps fixes

  r282898: Correct UTF-8 encoding in Brit?nico

    One ? was ISO 8859-1 0xE1 instead of UTF-8 0xC3 0xA1.

  r282902: Correct language code -- "Danish" is English

    The menu entry "Danish ISO-8859-1 (macbook)" was first added to the
    syscons(4) INDEX.keymaps in r241851 with no language code, and then in
    r256367 incorrectly tagged with "da".  It is a Danish keyboard map, but
    the description is in English and therefore must be "en".

    This error subsequently propagated into the vt(4) INDEX.keymaps.

  r282905: Restore 'he' language code for Hebrew kbdmap(1) menu title

  r282914: kbdmap(1): Correct menu title: keyboards have a layout, not a language

  PR:		146793, 193656

Changes:
_U  stable/10/
  stable/10/share/syscons/keymaps/INDEX.keymaps
  stable/10/share/vt/keymaps/INDEX.keymaps